Public Member Functions | Public Attributes | List of all members
StencilTableFactory::Options Struct Reference

`#include <stencilTableFactory.h>`

## Public Member Functions
| Options ()

## Public Attributes
unsigned int | interpolationMode: 2
| interpolation mode More...
unsigned int | generateOffsets: 1
| populate optional "_offsets" field More...
unsigned int | generateControlVerts: 1
| generate stencils for control-vertices More...
unsigned int | generateIntermediateLevels: 1
| vertices at all levels or highest only More...
unsigned int | factorizeIntermediateLevels: 1
unsigned int | maxLevel: 4
| generate stencils up to 'maxLevel' More...

## Detailed Description

Definition at line 57 of file stencilTableFactory.h.

## Constructor & Destructor Documentation

## § Options()

Options | ( |  | ) |
| inline

Definition at line 59 of file stencilTableFactory.h.

## Member Data Documentation

## § factorizeIntermediateLevels

unsigned int factorizeIntermediateLevels

accumulate stencil weights from control vertices or from the stencils of the previous level

Definition at line 66 of file stencilTableFactory.h.

## § generateControlVerts

unsigned int generateControlVerts

generate stencils for control-vertices

Definition at line 66 of file stencilTableFactory.h.

## § generateIntermediateLevels

unsigned int generateIntermediateLevels

vertices at all levels or highest only

Definition at line 66 of file stencilTableFactory.h.

## § generateOffsets

unsigned int generateOffsets

populate optional "_offsets" field

Definition at line 66 of file stencilTableFactory.h.

## § interpolationMode

unsigned int interpolationMode

interpolation mode

Definition at line 66 of file stencilTableFactory.h.

## § maxLevel

unsigned int maxLevel

generate stencils up to 'maxLevel'

Definition at line 66 of file stencilTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/stencilTableFactory.h